<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <script src="https://code.jquery.com/jquery-3.7.0.min.js"></script>
  <link rel="stylesheet" href="css/stylemin.css">
  <link rel="stylesheet" href="css/color.css">
  <title> Pizza 365 v0.5</title>
</head>

<body>
  <!-- Menu -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">HOME</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#combo">SIZE COMBOS</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#type">PIZZA TYPES</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#contact">FORM CONTACT</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 70px 0px 50px 0px">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->

          <div class="col-sm-3">
            <h1><b class="text-main">Pizza 365</b></h1>
            <p style="font-style: italic" class="text-second">Truly italian!</p>
          </div>
          <div class="col-sm-8 text-center d-flex justify-content-center align-items-center"
            style="background-color:var(--main-brand-color);padding:0px;">
            <h2><b class="discount-message" style="color:#fff"></b>
            </h2>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12 mt-3">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/anh_mon_1.jpg" alt="First slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_2.jpg" alt="Second slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_3.jpg" alt="Third slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_4.jpg" alt="Fourth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_5.jpg" alt="Fifth slide" />
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title ưu điểm của Quán -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content ưu điểm của Quán -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-3 bg-brand-01 text-white border">
                <h3 class="p-2">Không ngừng cải tiến</h3>
                <p class="p-2">Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn là yếu tố tiên quyết trong
                  chiến lược kinh doanh của chúng tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza hàng đầu.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-02 text-white border">
                <h3 class="p-2">Trải nghiệm dễ dàng</h3>
                <p class="p-2">Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của mọi nhà, mọi lúc, mọi nơi.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-03 text-white border">
                <h3 class="p-2">Hướng đến sự vượt trội</h3>
                <p class="p-2">"Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá trị này là cốt lõi trong mỗi
                  con người của chúng tôi, trong mỗi công việc mà họ làm.</p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-04 text-white border">
                <h3 class="p-2">Thể hiện đam mê</h3>
                <p class="p-2">Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều chỉnh tùy theo thử thách để tìm
                  ra giải pháp.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="combo" class="row">
          <!-- Title Size Combos -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn combo phù hợp với bạn</span></p>
          </div>
          <!-- Content các Size Combos -->
          <div class="col-sm-12 combo-container" id="combo-container">
            <div class="row combo-row" id="combo-row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3><span class="kich-co"></span> (Small)</h3>
                  </div>
                  <div class="card-body text-center" id="medium-size">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item" style="color:#0078ae">
                        Đường kính <b class="duong-kinh"></b>
                      </li>
                      <li class="list-group-item" style="color:#0078ae">Sườn nướng <b class="suon-nuong"></b></li>
                      <li class="list-group-item" style="color:#0078ae">Salad <b class="salad"></b></li>
                      <li class="list-group-item" style="color:#0078ae">Nước ngọt <b class="nuoc-ngot"></b></li>
                      <li class="list-group-item">
                        <h1>VND <b class="thanh-tien"></b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-small" data-is-selected="N"> Chọn </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4" id="combo-medium">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3><span class="kich-co"></span> (Medium)</h3>
                  </div>
                  <div class="card-body text-center" id="medium-size">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item" style="color:#0078ae">
                        Đường kính <b class="duong-kinh"></b>
                      </li>
                      <li class="list-group-item" style="color:#0078ae">Sườn nướng <b class="suon-nuong"></b></li>
                      <li class="list-group-item" style="color:#0078ae">Salad <b class="salad"></b></li>
                      <li class="list-group-item" style="color:#0078ae">Nước ngọt <b class="nuoc-ngot"></b></li>
                      <li class="list-group-item">
                        <h1>VND <b class="thanh-tien"></b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-medium" data-is-selected="N"> Chọn </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4" id="combo-large">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3><span class="kich-co"></span> (Large)</h3>
                  </div>
                  <div class="card-body text-center" id="medium-size">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item" style="color:#0078ae">
                        Đường kính <b class="duong-kinh"></b>
                      </li>
                      <li class="list-group-item" style="color:#0078ae">Sườn nướng <b class="suon-nuong"></b></li>
                      <li class="list-group-item" style="color:#0078ae">Salad <b class="salad"></b></li>
                      <li class="list-group-item" style="color:#0078ae">Nước ngọt <b class="nuoc-ngot"></b></li>
                      <li class="list-group-item">
                        <h1>VND <b class="thanh-tien"></b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-large" data-is-selected="N"> Chọn </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="type" class="row">
          <!-- Title Pizza Type -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại pizza</b></h2>
          </div>

          <!-- Content Pizza Type -->
          <div class="col-sm-12" id="pizza-type-container">
            <div class="row pizza-type-row" id="pizza-type-row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_hawai.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h4 class="pizza-type-name">Pizza Hawai</h3>
                      <p class="pizza-type-note">Món ăn thanh đạm</p>
                      <p class="pizza-type-des">
                        Hãy thưởng thức món ăn với phong cách Alo Ha đến từ
                        Hawai.
                      </p>
                      <p>
                        <button class="btn-green" id="btn-type-hawai" data-is-selected="N"> Chọn </button>
                      </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_hai_san.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h4 class="pizza-type-name">Pizza Hải sản</h3>
                      <p class="pizza-type-note">Món ăn đến từ biển</p>
                      <p class="pizza-type-des">
                        Bạn đã thử pizza được chế biến từ nguyên liệu hải sản chưa ?
                      </p>
                      <p>
                        <button class="btn-green" id="btn-type-hai-san" data-is-selected="N"> Chọn </button>
                      </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_thit_nuong.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h4 class="pizza-type-name">Pizza Bacon</h3>
                      <p class="pizza-type-note">Món ăn đăc biệt</p>
                      <p class="pizza-type-des">
                        Được chế biến từ thịt bacon. Mang đến hương vị mới lạ.
                      </p>
                      <p>
                        <button class="btn-green" id="btn-type-bacon" data-is-selected="N"> Chọn </button>
                      </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- Content chọn đồ uống -->
        <div>
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Đồ Uống</b></h2>
          </div>
          <div class="form-group">
            <label for="select-drink">Hãy chọn đồ uống bạn yêu thích</label>
            <select type="text" class="form-control" id="select-drink">
              <option value="0">Chọn đồ uống</option>
            </select>
          </div>
        </div>

        <div id="contact" class="row">
          <!-- Title Form Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
          </div>

          <!-- Content Form Contact Us -->
          <div class="col-sm-12 p-2 jumbotron">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="input-name">Họ và tên</label>
                  <input type="text" class="form-control" id="input-name" placeholder="Họ và tên" />
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="input-email" placeholder="Email" />
                </div>
                <div class="form-group">
                  <label for="input-phone">Điện thoại</label>
                  <input type="text" class="form-control" id="input-phone" placeholder="Điện thoại" />
                </div>
                <div class="form-group">
                  <label for="input-address">Địa chỉ</label>
                  <input type="text" class="form-control" id="input-address" placeholder="Địa chỉ" />
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="input-message" placeholder="Lời nhắn" />
                </div>
                <div class="form-group">
                  <label for="inp-voucher">Mã giảm giá ( Voucher ID)</label>
                  <input type="text" class="form-control" id="input-voucher" placeholder="Mã voucher..." />
                </div>
                <button type="button" class="btn-green" id="btn-kiemtradon"> Kiểm tra đơn </button>
              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none">
            <div id="div-order-infor" class="text-white p-3">thông tin đơn hàng vào đây</div>
            <div class="p-2">
              <button type="button" class="btn-yellow" id="btn-guidon"> Gửi đơn </button>
            </div>
          </div>
          <!-- vùng hiển thị phần cảm ơn -->
          <div id="div-container-thankyou" class="container bg-warning p-2 jumbotron text-center" style="display: none">
            <div id="div-order-message" class="text-dark p-3">
              <p>Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:</p>
              <div class="row form-group ">
                <div class="col-sm-5 text-right">
                  <label for="thankyou-message">Mã đơn hàng:</label>
                </div>
                <div id="text-ordercode" class="col-sm-3 text-center" style="width: 30px; border:2px solid black">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-3">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn bg-main-brand text-white m-3"><i class="fa fa-arrow-up mr-2"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official text-main"></i>
          <i class="fa fa-instagram text-main"></i>
          <i class="fa fa-snapchat text-main"></i>
          <i class="fa fa-pinterest-p text-main "></i>
          <i class="fa fa-twitter text-main"></i>
          <i class="fa fa-linkedin text-main"></i>
        </div>
      </div>
    </div>
  </div>
</body>
<script>

  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  // Mảng danh sách các mã giảm giá
  var gDiscountVouchers = [
    { voucherID: "10345", percentDiscount: 20 }, // mã giảm giá là 10345, phần trăm giảm giá 20%
    { voucherID: "11346", percentDiscount: 10 },
    { voucherID: "20445", percentDiscount: 5 },
    { voucherID: "21457", percentDiscount: 30 },
    { voucherID: "32154", percentDiscount: 20 },
    { voucherID: "30546", percentDiscount: 25 },
    { voucherID: "41351", percentDiscount: 15 },
    { voucherID: "53360", percentDiscount: 5 },
    { voucherID: "65343", percentDiscount: 30 },
    { voucherID: "78328", percentDiscount: 40 },
  ];

  // các combo Pizza
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";

  // các loại pizza
  const gPIZZA_TYPE_HAWAI = "Hawai";
  const gPIZZA_TYPE_HAI_SAN = "HaiSan";
  const gPIZZA_TYPE_BACON = "Bacon";

  // API_URL

  const gBASE_URL = "http://localhost:8090/drinks/drinks";
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_CREATE_OK = 201;
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gBASE_URL_VOUCHER = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
  const gBASE_URL_ORDERS = "http://203.171.20.210:8080/devcamp-pizza365/orders";
  const gBASE_URL_DISCOUNT_MESSAGE = "http://localhost:8090/campaigns/campaigns/";
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  $(document).ready(function () {
    // Gọi hàm call Api lấy discount message 
    getDiscountMessage();
    //Gọi hàm call Api để tải dữ liệu vào select đồ uống
    callApiLoadDrinkDatatoSelect();

    // hàm được gọi khi bấm nút chọn kích cỡ S
    $("#btn-size-small").on("click", function () {
      // gọi hàm đổi màu nút
      changeComboButtonColor(gCOMBO_SMALL);
      //tạo một đối tượng menu, được tham số hóa
      var vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
      // gọi method hiển thị thông tin
      vSelectedMenuStructure.displayInConsoleLog();
    })

    // hàm được gọi khi bấm nút chọn kích cỡ M
    $("#btn-size-medium").on("click", function () {
      // gọi hàm đổi màu nút
      changeComboButtonColor(gCOMBO_MEDIUM);
      //tạo một đối tượng menu, được tham số hóa
      var vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
      // gọi method hiển thị thông tin
      vSelectedMenuStructure.displayInConsoleLog();
    })

    //hàm được gọi khi bấm nút chọn kích cỡ L
    $("#btn-size-large").on("click", function () {
      // gọi hàm đổi màu nút
      changeComboButtonColor(gCOMBO_LARGE);
      //tạo một đối tượng menu, được tham số hóa
      var vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
      // gọi method hiển thị thông tin
      vSelectedMenuStructure.displayInConsoleLog();
    })

    // hàm được gọi khi bấm nút chọn loại pizza hawai
    $("#btn-type-hawai").on("click", function () {
      // gọi hàm đổi màu nút
      changeTypeButtonColor(gPIZZA_TYPE_HAWAI);
      // ghi loại pizza đã chọn ra console
      console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_HAWAI);
    })

    // hàm được gọi khi bấm nút chọn loại pizza Hải sản
    $("#btn-type-hai-san").on("click", function () {
      // gọi hàm đổi màu nút
      changeTypeButtonColor(gPIZZA_TYPE_HAI_SAN);
      // ghi loại pizza đã chọn ra console
      console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_HAI_SAN);
    })

    // hàm được gọi khi bấm nút chọn loại pizza Hun khói
    $("#btn-type-bacon").on("click", function () {
      // gọi hàm đổi màu nút
      changeTypeButtonColor(gPIZZA_TYPE_BACON);
      // ghi loại pizza đã chọn ra console
      console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_BACON);
    });

    // Hàm được gọi khi click nút kiểm tra đơn
    $("#btn-kiemtradon").on("click", function () {
      console.log("%c Kiểm tra đơn", "color: orange;");
      // Bước 1: Đọc
      var vOrder = getOrder();
      if (vOrder.phanTramGiamGia === 0) {
        alert("Không tìm thấy voucher");
      };
      //Bước 2: kiểm tra
      var vKetQuaKiemTra = checkValidatedForm(vOrder);
      if (vKetQuaKiemTra) {
        //Bước 3: Hiển thị
        showOrderInfo(vOrder)
      }
    });
    //Hàm được gọi khi ấn nút Gửi đơn
    $("#btn-guidon").on("click", function () {
      // Bước 1: Đọc
      var vOrder = getOrder();
      //Bước 2: kiểm tra
      var vKetQuaKiemTra = checkValidatedForm(vOrder);
      if (vKetQuaKiemTra) {
        //Bước 3: Hiển thị (ghi ra console)
        inThongTinRaConsole(vOrder);
        //Call Api để thêm mới đơn hàng
        callApiCreateOrder();
      }
    })

    // Hàm gọi Api lấy danh sách combo
    getAllCombos();

    // Hàm gọi API lấy danh sách Type Pizza
    getAllTypes();

  });

  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //function get combo (lấy menu được chọn)
  //function trả lại một đối tượng combo (menu được chọn) được tham số hóa
  function getComboSelected(
    paramMenuName,
    paramDuongKinhCM,
    paramSuongNuong,
    paramSaladGr,
    paramDrink,
    paramPriceVND
  ) {
    var vSelectedMenu = {
      menuName: paramMenuName, // S, M, L
      duongKinhCM: paramDuongKinhCM,
      suongNuong: paramSuongNuong,
      saladGr: paramSaladGr,
      drink: paramDrink,
      priceVND: paramPriceVND,
      displayInConsoleLog() {
        console.log("%cPLAN MENU COMBO - .........", "color:blue");
        console.log(this.menuName); //this = "đối tượng này"
        console.log("duongKinhCM: " + this.duongKinhCM);
        console.log("suongNuong: " + this.suongNuong);
        console.log("saladGr: " + this.saladGr);
        console.log("drink:" + this.drink);
        console.log("priceVND: " + this.priceVND);
      },
    };
    return vSelectedMenu;
  }

  // hàm thu thập(đọc) thông tin khách hàng
  function getOrder() {

    var vBtnBasic = $("#btn-size-small"); // truy vấn nút chọn kích cỡ small
    var vMenuBasicDaChon = vBtnBasic.attr("data-is-selected");
    var vBtnMedium = $("#btn-size-medium"); //truy vấn nút chọn kích cỡ medium
    var vMenuMediumDaChon = vBtnMedium.attr("data-is-selected");
    var vBtnLarge = $("#btn-size-large"); //truy vấn nút chọn kích cỡ large
    var vMenuLargeDaChon = vBtnLarge.attr("data-is-selected");
    var vSelectedMenuStructure = getComboSelected("", 0, 0, 0, 0, 0);
    if (vMenuBasicDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
    }
    else if (vMenuMediumDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
    }
    else if (vMenuLargeDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
    }
    var vBtnHawai = $("#btn-type-hawai"); // truy vấn nút chọn loại pizza hawai
    var vPizzaHawaiDaChon = vBtnHawai.attr("data-is-selected");
    var vBtnHaiSan = $("#btn-type-hai-san"); //truy vấn nút chọn loại pizza hải sản
    var vPizzaHaiSanDaChon = vBtnHaiSan.attr("data-is-selected");
    var vBtnBacon = $("#btn-type-bacon"); //truy vấn nút chọn loại pizza bacon
    var vPizzaBaconDaChon = vBtnBacon.attr("data-is-selected");
    var vLoaiPizza = "";
    if (vPizzaHawaiDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_HAWAI;
    }
    else if (vPizzaHaiSanDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_HAI_SAN;
    }
    else if (vPizzaBaconDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_BACON;
    }

    var vElementSelectDrink = document.getElementById("select-drink");
    var vValueSelectDrink = vElementSelectDrink.options[vElementSelectDrink.selectedIndex].text;
    var vSelectDrink = vElementSelectDrink.value;

    var vElementInputName = $("#input-name");
    var vValueInputName = vElementInputName.val();

    var vElementInputEmail = $("#input-email");
    var vValueInputEmail = vElementInputEmail.val();

    var vElementInputPhone = $("#input-phone");
    var vValueInputPhone = vElementInputPhone.val();

    var vElementInputAddress = $("#input-address");
    var vValueInputAddress = vElementInputAddress.val();

    var vElementInputMessage = $("#input-message");
    var vValueInputMessage = vElementInputMessage.val();

    var vElementInputVoucherID = $("#input-voucher");
    var vValueInputVoucherID = vElementInputVoucherID.val();
    // khái báo biến để chứa phần trăm giảm giá
    var vPercent = 0;
    // gọi hàm call Api kiểm tra mã voucher
    var vVoucherObj = callApiCheckVoucher(vValueInputVoucherID);

    if (vValueInputVoucherID != "" && vVoucherObj != null) {
      vPercent = vVoucherObj.phanTramGiamGia;
    } else {
      vPercent = 0;
    }
    var vOrderInfo = {
      menuCombo: vSelectedMenuStructure,
      loaiPizza: vLoaiPizza,
      loaiNuocUong: vValueSelectDrink,
      idLoaiNuocUong: vSelectDrink,
      hoVaTen: vValueInputName,
      email: vValueInputEmail,
      dienThoai: vValueInputPhone,
      diaChi: vValueInputAddress,
      loiNhan: vValueInputMessage,
      voucher: vValueInputVoucherID,
      phanTramGiamGia: vPercent,
      priceAnnualVND: function () {
        var vTotal = this.menuCombo.priceVND * (1 - this.phanTramGiamGia / 100);
        return vTotal;
      }
    };
    return vOrderInfo;
  }

  // Hàm kiểm tra thông tin đơn hàng
  // input: Đối tượng đơn hàng
  // output: Đúng / Sai (true/ false)
  function checkValidatedForm(paramOrder) {
    if (paramOrder.menuCombo.menuName === "") {
      alert("Vui lòng chọn combo pizza...");
      return false;
    }
    if (paramOrder.loaiPizza === "") {
      alert("Vui lòng chọn loại pizza...");
      return false;
    }
    if (paramOrder.loaiNuocUong === "0") {
      alert("Vui lòng chọn loại nước uống...")
      return false;
    }
    if (paramOrder.hoVaTen === "") {
      alert("Vui lòng nhập họ và tên");
      return false;
    }
    if (validateEmail(paramOrder.email) == false) {
      alert("Email không đúng định dạng");
      return false;
    }
    if (paramOrder.dienThoai === "") {
      alert("Vui lòng nhập số điện thoại");
      return false;
    }
    if (validatePhoneNumber(paramOrder.dienThoai) == false) {
      alert('Số điện thoại không đúng định dạng')
      return false;
    }
    if (paramOrder.diaChi === "") {
      alert("Vui lòng nhập địa chỉ");
      return false;
    }
    return true;
  }

  // hàm đổi mầu nút khi chọn combo
  function changeComboButtonColor(paramPlan) {
    var vBtnBasic = $("#btn-size-small"); // truy vấn nút chọn kích cỡ small
    var vBtnMedium = $("#btn-size-medium"); //truy vấn nút chọn kích cỡ medium
    var vBtnLarge = $("#btn-size-large"); //truy vấn nút chọn kích cỡ large

    if (paramPlan === gCOMBO_SMALL) {
      //nếu chọn menu Small thì thay màu nút chọn kích cỡ small bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.removeClass('btn-green').addClass("btn-yellow");
      vBtnBasic.attr("data-is-selected", "Y");
      vBtnMedium.removeClass('btn-yellow').addClass("btn-green");
      vBtnMedium.attr("data-is-selected", "N");
      vBtnLarge.removeClass('btn-yellow').addClass("btn-green");
      vBtnLarge.attr("data-is-selected", "N");

    } else if (paramPlan === gCOMBO_MEDIUM) {
      //nếu chọn menu Medium thì thay màu nút chọn kích cỡ Medium bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.removeClass('btn-yellow').addClass("btn-green");
      vBtnBasic.attr("data-is-selected", "N");
      vBtnMedium.removeClass('btn-green').addClass("btn-yellow");
      vBtnMedium.attr("data-is-selected", "Y");
      vBtnLarge.removeClass('btn-yellow').addClass("btn-green");
      vBtnLarge.attr("data-is-selected", "N");
    } else if (paramPlan === gCOMBO_LARGE) {
      //nếu chọn menu Large thì thay màu nút chọn kích cỡ Large bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.removeClass('btn-yellow').addClass("btn-green");
      vBtnBasic.attr("data-is-selected", "N");
      vBtnMedium.removeClass('btn-yellow').addClass("btn-green");
      vBtnMedium.attr("data-is-selected", "N");
      vBtnLarge.removeClass('btn-green').addClass("btn-yellow");
      vBtnLarge.attr("data-is-selected", "Y");
    }
  }

  // hàm đổi mầu nút khi chọn loại pizza
  function changeTypeButtonColor(paramType) {
    var vBtnHawai = $("#btn-type-hawai"); // truy vấn nút chọn loại pizza hawai
    var vBtnHaiSan = $("#btn-type-hai-san"); //truy vấn nút chọn loại pizza hải sản
    var vBtnBacon = $("#btn-type-bacon"); //truy vấn nút chọn loại pizza bacon

    if (paramType === gPIZZA_TYPE_HAWAI) {
      //nếu chọn loại pizza hawai thì thay màu nút chọn loại pizza hawai bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected
      vBtnHawai.removeClass('btn-green').addClass("btn-yellow");
      vBtnHawai.attr("data-is-selected", "Y");
      vBtnHaiSan.removeClass('btn-yellow').addClass("btn-green");
      vBtnHaiSan.attr("data-is-selected", "N");
      vBtnBacon.removeClass('btn-yellow').addClass("btn-green");
      vBtnBacon.attr("data-is-selected", "N");
    } else if (paramType === gPIZZA_TYPE_HAI_SAN) {
      //nếu chọn loại pizza Hải sản thì thay màu nút chọn loại pizza Hải sản bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected
      vBtnHawai.removeClass('btn-yellow').addClass("btn-green");
      vBtnHawai.attr("data-is-selected", "N");
      vBtnHaiSan.removeClass('btn-green').addClass("btn-yellow");
      vBtnHaiSan.attr("data-is-selected", "Y");
      vBtnBacon.removeClass('btn-yellow').addClass("btn-green");
      vBtnBacon.attr("data-is-selected", "N");
    } else if (paramType === gPIZZA_TYPE_BACON) {
      //nếu chọn loại pizza Bacon thì thay màu nút chọn loại pizza Bacon bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected
      vBtnHawai.removeClass('btn-yellow').addClass("btn-green");
      vBtnHawai.attr("data-is-selected", "N");
      vBtnHaiSan.removeClass('btn-yellow').addClass("btn-green");
      vBtnHaiSan.attr("data-is-selected", "N");
      vBtnBacon.removeClass('btn-green').addClass("btn-yellow");
      vBtnBacon.attr("data-is-selected", "Y");
    }
  }

  // Hàm tìm kiếm voucher trong Array
  function getVoucherById(paramVoucherID) {
    "use strict";
    var vVoucherIndex = 0;
    var vIsFound = false; // đã tìm thấy voucher chưa?
    var vVoucherObj = null; // đối tượng chứa voucher được tìm thấy
    // Khi chưa tìm thấy voucher và chưa tìm hết voucher: thì còn tìm tiếp
    while (vIsFound == false && vVoucherIndex < gDiscountVouchers.length) {
      // tìm voucher tiếp
      if (gDiscountVouchers[vVoucherIndex].voucherID == paramVoucherID) {
        vIsFound = true;
        vVoucherObj = gDiscountVouchers[vVoucherIndex];
      } else {
        vVoucherIndex++;
      }
    }
    return vVoucherObj;
  }

  /* Hàm kiểm tra định dạng email
   đầu vào: email cần kiểm tra
   đầu ra: return true nếu email đúng định dang; và ngược lại return false nếu email sai định dạng
   */
  function validateEmail(paramEmail) {
    var vRegexEmail = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    var vResult = false;
    if (paramEmail.match(vRegexEmail)) {
      vResult = true;
    }
    return vResult;
  }

  /* Hàm kiểm tra số điện thoại 
    đầu vào: Số điện thoại cần kiểm tra
    đầu ra: return true nếu số điện thoại thỏa mãn yêu cầu: phải nhập là số, có dấu + hoặc số 0 ở đầu; độ dài từ 10 đến 12 ký tự (viết hàm riêng); 
      và ngược lại return false nếu số điện thoại không thỏa mãn yêu cầu
    */
  function validatePhoneNumber(paramPhoneNumber) {
    var vCheckNum = paramPhoneNumber.slice(1);
    if (isNaN(parseInt(vCheckNum))) {

      return false;
    }
    if (paramPhoneNumber.length < 10 && paramPhoneNumber.length > 12) {
      return false;
    }
    if (!(paramPhoneNumber.startsWith(0) || paramPhoneNumber.startsWith('+'))) {
      return false;
    }
    return true;
  }

  // hàm show thông tin đặt hàng
  function showOrderInfo(paramOrder) {

    var vDivContainer = $("#div-container-order");
    var vDivOrderInfo = $("#div-order-infor");
    vDivContainer.prop("style", "block");

    vDivOrderInfo.html("Họ và tên: " + paramOrder.hoVaTen + "<br>");
    vDivOrderInfo.append("Email: " + paramOrder.email + "<br>");
    vDivOrderInfo.append("Địa chỉ: " + paramOrder.diaChi + "<br>");
    vDivOrderInfo.append("Lời nhắn: " + paramOrder.loiNhan + "<br>");
    vDivOrderInfo.append("....................................." + "<br>");
    vDivOrderInfo.append("Kích cỡ: " + paramOrder.menuCombo.menuName + "<br>");
    vDivOrderInfo.append("Đường kính: " + paramOrder.menuCombo.duongKinhCM + "<br>");
    vDivOrderInfo.append("Sườn nướng: " + paramOrder.menuCombo.suongNuong + "<br>");
    vDivOrderInfo.append("Salad : " + paramOrder.menuCombo.saladGr + "<br>");
    vDivOrderInfo.append("Nước Ngọt : " + paramOrder.menuCombo.drink + "<br>");
    vDivOrderInfo.append("Loại nước Uống : " + paramOrder.loaiNuocUong + "<br>");
    vDivOrderInfo.append("....................................." + "<br>");
    vDivOrderInfo.append("Loại pizza : " + paramOrder.loaiPizza + "<br>");
    vDivOrderInfo.append("Mã voucher : " + paramOrder.voucher + "<br>");
    vDivOrderInfo.append("Giá vnd : " + paramOrder.menuCombo.priceVND + "<br>");
    vDivOrderInfo.append("Discount %: " + paramOrder.phanTramGiamGia + "<br>");
    vDivOrderInfo.append("Phải thanh toán vnd: " + paramOrder.priceAnnualVND());
  }

  // Hàm ghi thông tin đặt hàng ra console
  function inThongTinRaConsole(paramOrder) {
    console.log("%c Thông tin đặt hàng", "color: green;");
    console.log("Họ và tên: " + paramOrder.hoVaTen);
    console.log("Email: " + paramOrder.email);
    console.log("Địa chỉ: " + paramOrder.diaChi);
    console.log("Lời nhắn: " + paramOrder.loiNhan);
    console.log(".....................................");
    console.log("Kích cỡ: " + paramOrder.menuCombo.menuName);
    console.log("Đường kính: " + paramOrder.menuCombo.duongKinhCM);
    console.log("Sườn nướng: " + paramOrder.menuCombo.suongNuong);
    console.log("Salad : " + paramOrder.menuCombo.saladGr);
    console.log("Nước Ngọt : " + paramOrder.menuCombo.drink);
    console.log("Loại nước uống : " + paramOrder.loaiNuocUong);
    console.log(".....................................");
    console.log("Loại pizza : " + paramOrder.loaiPizza);
    console.log("Mã voucher : " + paramOrder.voucher);
    console.log("Giá vnd : " + paramOrder.menuCombo.priceVND);
    console.log("Discount %: " + paramOrder.phanTramGiamGia);
    console.log("Phải thanh toán vnd: " + paramOrder.priceAnnualVND());
  }


  // Hàm gọi API lấy discount theo ngày
  function getDiscountMessage() {
    $.ajax({
      url: gBASE_URL_DISCOUNT_MESSAGE,
      type: "GET",
      success: function (result) {
        console.log(result)
        $(".discount-message").text(result);
      },
      error: function (paramError) {
        alert(paramError.responseText);
      }
    })
  }
  //Hàm gọi API lấy dữ liệu nước uống
  function callApiLoadDrinkDatatoSelect() {
    $.ajax({
      url: gBASE_URL,
      type: "GET",
      success: function (result) {
        console.log(result);
        loadDataDrinkToSelect(result);
      },
      error: function (paramError) {
        alert(paramError.responseText);
      }
    })
  }

  // Hàm tải dữ liệu nước uống vào select
  function loadDataDrinkToSelect(paramXHttp) {

    var vDrinkSelect = $("#select-drink");

    for (let index = 0; index < paramXHttp.length; index++) {
      var bDrinkOptions = $("<option>");
      bDrinkOptions.val(paramXHttp[index].maNuocUong);
      bDrinkOptions.text(paramXHttp[index].tenNuocUong);

      vDrinkSelect.append(bDrinkOptions);
    }
  }

  // Hàm call Api kiểm tra mã voucher 
  function callApiCheckVoucher(paramVoucherID) {
    var vVoucherObj = null;
    var vXmlHttp = new XMLHttpRequest();
    vXmlHttp.open("GET", gBASE_URL_VOUCHER + "/" + paramVoucherID, false);
    vXmlHttp.send(null);
    if (vXmlHttp.status === gREQUEST_STATUS_OK) {
      var vVoucherObj = JSON.parse(vXmlHttp.responseText);
      console.log(vVoucherObj)
    } else {
      console.log("Không tìm thấy voucher " + paramVoucherID);

    }
    return vVoucherObj;
  }

  // Hàm Call Api thêm mới đơn hàng
  function callApiCreateOrder() {

    var vOrder = getOrder();
    console.log(vOrder);
    var vObjectRequest = {
      kichCo: vOrder.menuCombo.menuName,
      duongKinh: vOrder.menuCombo.duongKinhCM,
      suon: vOrder.menuCombo.suongNuong,
      salad: vOrder.menuCombo.saladGr,
      loaiPizza: vOrder.loaiPizza,
      idVourcher: vOrder.voucher,
      idLoaiNuocUong: vOrder.idLoaiNuocUong,
      soLuongNuoc: vOrder.menuCombo.drink,
      hoTen: vOrder.hoVaTen,
      thanhTien: vOrder.priceAnnualVND(),
      email: vOrder.email,
      soDienThoai: vOrder.dienThoai,
      diaChi: vOrder.diaChi,
      loiNhan: vOrder.loiNhan
    }
    console.log(vObjectRequest);

    var vXmlHttpCreateOrder = new XMLHttpRequest();
    vXmlHttpCreateOrder.open("POST", gBASE_URL_ORDERS, true);
    vXmlHttpCreateOrder.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
    vXmlHttpCreateOrder.send(JSON.stringify(vObjectRequest));
    vXmlHttpCreateOrder.onreadystatechange =
      function () {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_OK) {
          var vCreatedOrder = JSON.parse(vXmlHttpCreateOrder.responseText);

          console.log(vCreatedOrder);

          var vDivContainerOrder = $("#div-container-order");
          var vDivOrderInfor = $("#div-order-infor");
          vDivContainerOrder.css("display", "none");

          var vDivContainerThankYou = $("#div-container-thankyou");
          var vDivOrderMessage = $("#div-order-message");
          var vDivOrderCodeText = $("#text-ordercode");
          vDivContainerThankYou.prop("style", "block");
          vDivOrderCodeText.html(vCreatedOrder.orderCode);
        }
      }
  }

  // Hàm gọi Api lấy danh sách combo pizza
  function getAllCombos() {
    //base url
    const vBASE_URL = "http://localhost:8090/combomenu/combomenu";

    $.ajax({
      url: vBASE_URL,
      type: 'GET',
      success: function (paramCombos) {
        console.log(paramCombos);
        //Gọi hàm hiển thị combo ra ngoài giao diện
        displayCombo(paramCombos);
      },
      error: function (paramError) {
        alert(paramError.responseText);
      }
    })

  }
  // Hàm hiển thị combo ra ngoài giao diện
  function displayCombo(paramCombos) {

    for (var bI = 0; bI < paramCombos.length; bI++) {

      $(`#combo-row > div:nth-child(${bI + 1}) .kich-co`)[0].innerText = paramCombos[bI].kichCo;
      $(`#combo-row > div:nth-child(${bI + 1}) .duong-kinh`)[0].innerHTML = paramCombos[bI].duongKinh;
      $(`#combo-row > div:nth-child(${bI + 1}) .suon-nuong`)[0].innerText = paramCombos[bI].suonNuong;
      $(`#combo-row > div:nth-child(${bI + 1}) .salad`)[0].innerText = paramCombos[bI].salad;
      $(`#combo-row > div:nth-child(${bI + 1}) .nuoc-ngot`)[0].innerText = paramCombos[bI].nuocNgot;
      $(`#combo-row > div:nth-child(${bI + 1}) .thanh-tien`)[0].innerText = paramCombos[bI].thanhTien;
    }
  }

  // Hàm gọi API lấy danh sách Type Pizza
  function getAllTypes() {
    //base url
    const vBASE_URL = "https://647406377de100807b1a4df4.mockapi.io/types";
    $.ajax({
      url: vBASE_URL,
      type: 'GET',
      success: function (paramTypePizza) {
        //Gọi hàm hiển thị dữ liệu Type Pizza ra giao diện
        console.log(paramTypePizza);
        displayTypePizza(paramTypePizza);
      },
      error: function (paramError) {
        alert(paramError.responseText);
      }
    })
  }

  // Hàm hiển thị dữ liệu Type Pizza ra giao diện
  function displayTypePizza(paramTypePizza) {
    for (var bI = 0; bI < paramTypePizza.length; bI++) {

      $(`#pizza-type-row > div:nth-child(${bI + 1})`).find(".pizza-type-name")[0].innerText = paramTypePizza[bI].name;
      $(`#pizza-type-row > div:nth-child(${bI + 1})`).find(".pizza-type-note")[0].innerText = paramTypePizza[bI].note;
      $(`#pizza-type-row > div:nth-child(${bI + 1})`).find(".pizza-type-des")[0].innerText = paramTypePizza[bI].description;

    }
  }


</script>
</div>

</html>